# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.468   -> 1.469  
#	drivers/usb/storage/Config.help	1.4     -> 1.5    
#	drivers/usb/Config.help	1.12    -> 1.13   
#	drivers/usb/class/Config.help	1.4     -> 1.5    
#	drivers/usb/misc/Config.help	1.3     -> 1.4    
#	drivers/usb/host/Config.help	1.7     -> 1.8    
#	drivers/usb/input/Config.help	1.6     -> 1.7    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/25	bhards@bigpond.net.au	1.469
# [PATCH] trivial USB Config.help cleanups
# 
# --------------------------------------------
#
diff -Nru a/drivers/usb/Config.help b/drivers/usb/Config.help
--- a/drivers/usb/Config.help	Fri Jul 26 13:49:26 2002
+++ b/drivers/usb/Config.help	Fri Jul 26 13:49:26 2002
@@ -11,13 +11,18 @@
   to the PC via those ports.
 
   Say Y here if your computer has a USB port and you want to use USB
-  devices.  You then need to say Y to at least one of "UHCI support"
-  or "OHCI support" below (the type of interface that the USB hardware
+  devices.  You then need to say Y to at least one of "UHCI HCD support"
+  or "OHCI HCD support" below (the type of interface that the USB hardware
   in your computer provides to the operating system) and then choose
-  from among the drivers for USB peripherals.  You may want to check
+  from amongst the drivers for USB peripherals.  You may want to check
   out the information provided in <file:Documentation/usb/> and
   especially the links given in <file:Documentation/usb/usb-help.txt>.
 
+  If you have a new USB 2.0 High Speed system, you should also choose
+  "EHCI HCD (USB 2.0) support" as well as at least one of UHCI or OHCI.
+
+  It doesn't normally hurt to select them all if you are not certain.
+
   This code is also available as a module ( = code which can be
   inserted in and removed from the running kernel whenever you want).
   The module will be called usbcore.o.  If you want to compile it as a
@@ -39,7 +44,7 @@
 
 CONFIG_USB_DEVICEFS
   If you say Y here (and to "/proc file system support" in the "File
-  systems section, above), you will get a file /proc/bus/usb/devices
+  systems" section, above), you will get a file /proc/bus/usb/devices
   which lists the devices currently connected to your USB bus or
   busses, a file /proc/bus/usb/drivers which lists the USB kernel
   client drivers currently loaded, and for every connected device a
diff -Nru a/drivers/usb/class/Config.help b/drivers/usb/class/Config.help
--- a/drivers/usb/class/Config.help	Fri Jul 26 13:49:26 2002
+++ b/drivers/usb/class/Config.help	Fri Jul 26 13:49:26 2002
@@ -3,6 +3,10 @@
   Communication Device Class Abstract Control Model interface.
   Please read <file:Documentation/usb/acm.txt> for details.
 
+  If your modem only reports "Cls=ff(vend.)" in the descriptors in
+  /proc/bus/usb/devices, then your modem will not work with this
+  driver.
+
   This code is also available as a module ( = code which can be
   inserted in and removed from the running kernel whenever you want).
   The module will be called acm.o. If you want to compile it as a
diff -Nru a/drivers/usb/host/Config.help b/drivers/usb/host/Config.help
--- a/drivers/usb/host/Config.help	Fri Jul 26 13:49:26 2002
+++ b/drivers/usb/host/Config.help	Fri Jul 26 13:49:26 2002
@@ -12,7 +12,8 @@
   will connect to EHCI if it the device is high speed, otherwise they
   connect to a companion controller.  If you configure EHCI, you should
   probably configure the OHCI (for NEC and some other vendors) USB Host
-  Controller Driver too.
+  Controller Driver or UHCI (for Via motherboards) Host Controller
+  Driver too.
 
   You may want to read <file:Documentation/usb/ehci.txt>.
 
diff -Nru a/drivers/usb/input/Config.help b/drivers/usb/input/Config.help
--- a/drivers/usb/input/Config.help	Fri Jul 26 13:49:26 2002
+++ b/drivers/usb/input/Config.help	Fri Jul 26 13:49:26 2002
@@ -18,13 +18,13 @@
 
 CONFIG_USB_HIDINPUT
   Say Y here if you want to use a USB keyboard, mouse or joystick,
-  or any other HID input device. You also need Input layer support, 
-  (CONFIG_INPUT) which you select under "Input core support".
+  or any other HID input device. You also need "Input core support", 
+  (CONFIG_INPUT), which you select under "Input device support", above.
 
   If unsure, say Y.
 
 CONFIG_HID_FF
-  Say Y here is you want force feedback support for a few hid devices. See
+  Say Y here is you want force feedback support for a few HID devices. See
   below for a list of supported devices.
   See Documentation/input/ff.txt for a description of the force feedback API.
 
@@ -36,9 +36,13 @@
   still be supported, but without force feedback.
 
 CONFIG_HID_PID
-  Say Y yes if you have a PID-compliant joystick and wish to enable force
+  Say Y here if you have a PID-compliant joystick and wish to enable force
   feedback for it. The Microsoft Sidewinder Force Feedback 2 is one such
   device.
+
+CONFIG_LOGITECH_3D
+  Say Y here if you have a Logitech force feedback device from the
+  *3D family.
 
 CONFIG_USB_HIDDEV
   Say Y here if you want to support HID devices (from the USB
diff -Nru a/drivers/usb/misc/Config.help b/drivers/usb/misc/Config.help
--- a/drivers/usb/misc/Config.help	Fri Jul 26 13:49:26 2002
+++ b/drivers/usb/misc/Config.help	Fri Jul 26 13:49:26 2002
@@ -7,7 +7,7 @@
   The module will be called auerswald.o. If you want to compile it as
   a module, say M here and read <file:Documentation/modules.txt>.
 
-CONFIG_USB_BRLVOYAGER
+CONFIG_USB_BRLVGER
   Say Y here if you want to use the Voyager USB Braille display from
   Tieman. See <file:Documentation/usb/brlvger.txt> for more
   information.
diff -Nru a/drivers/usb/storage/Config.help b/drivers/usb/storage/Config.help
--- a/drivers/usb/storage/Config.help	Fri Jul 26 13:49:26 2002
+++ b/drivers/usb/storage/Config.help	Fri Jul 26 13:49:26 2002
@@ -1,6 +1,9 @@
 CONFIG_USB_STORAGE
   Say Y here if you want to connect USB mass storage devices to your
-  computer's USB port.
+  computer's USB port. This is the driver you need for USB floppy drives,
+  USB hard disks, USB tape drives and USB CD-ROMs, along with
+  similar devices. This driver may also be used for some cameras and
+  card readers.
 
   This code is also available as a module ( = code which can be
   inserted in and removed from the running kernel whenever you want).
@@ -44,3 +47,11 @@
 CONFIG_USB_STORAGE_SDDR55
   Say Y here to include additional code to support the Sandisk SDDR-55
   SmartMedia reader in the USB Mass Storage driver.
+
+CONFIG_USB_STORAGE_HP8200e
+  Say Y here to include additional code to support Hewlett-Packard
+  8200e/8210e/8230e CD-Writer Plus drives.
+
+CONFIG_USB_STORAGE_JUMPSHOT
+  Say Y here to include additional code to support the Lexar Jumpshot
+  USB CompactFlash reader.
